VTK: tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ > Class Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | List of all members
tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ > Class Template Reference

`#include <Portals.h>`

## Public Types
typedef VTKDataArrayType_ | VTKDataArrayType
using | ValueType = typename vtkPortalTraits< Type >::Type
using | ComponentType = typename vtkPortalTraits< Type >::ComponentType
typedef vtkm::cont::internal::IteratorFromArrayPortal< vtkArrayPortal > | IteratorType

## Public Member Functions
VTKM_EXEC_CONT | vtkArrayPortal ()
VTKM_CONT | vtkArrayPortal (VTKDataArrayType *array, vtkm::Id size)
VTKM_SUPPRESS_EXEC_WARNINGS VTKM_EXEC_CONT vtkm::Id | GetNumberOfValues () const
VTKM_SUPPRESS_EXEC_WARNINGS VTKM_EXEC_CONT ValueType | Get (vtkm::Id index) const
VTKM_SUPPRESS_EXEC_WARNINGS VTKM_EXEC_CONT void | Set (vtkm::Id index, const ValueType &value) const
VTKM_CONT IteratorType | GetIteratorBegin () const
VTKM_CONT IteratorType | GetIteratorEnd () const
VTKM_CONT VTKDataArrayType * | GetVtkData () const

## Detailed Description

### template<typename Type, typename VTKDataArrayType_>
class tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >

Definition at line 25 of file Portals.h.

## Member Typedef Documentation

## ◆ VTKDataArrayType

template<typename Type , typename VTKDataArrayType_ >

typedef VTKDataArrayType_ tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::VTKDataArrayType

Definition at line 30 of file Portals.h.

## ◆ ValueType

template<typename Type , typename VTKDataArrayType_ >

using tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::ValueType = typename vtkPortalTraits<Type>::Type

Definition at line 31 of file Portals.h.

## ◆ ComponentType

template<typename Type , typename VTKDataArrayType_ >

using tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::ComponentType = typename vtkPortalTraits<Type>::ComponentType

Definition at line 32 of file Portals.h.

## ◆ IteratorType

template<typename Type , typename VTKDataArrayType_ >

typedef vtkm::cont::internal::IteratorFromArrayPortal<vtkArrayPortal> tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::IteratorType

Definition at line 52 of file Portals.h.

## Constructor & Destructor Documentation

## ◆ vtkArrayPortal() [1/2]

template<typename Type , typename VTKDataArrayType_ >

VTKM_EXEC_CONT tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::vtkArrayPortal | ( |  | ) |

## ◆ vtkArrayPortal() [2/2]

template<typename Type , typename VTKDataArrayType_ >

VTKM_CONT tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::vtkArrayPortal | ( | VTKDataArrayType * | array,
|  | vtkm::Id | size
| ) |  |

## Member Function Documentation

## ◆ GetNumberOfValues()

template<typename Type , typename VTKDataArrayType_ >

VTKM_SUPPRESS_EXEC_WARNINGS VTKM_EXEC_CONT vtkm::Id tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::GetNumberOfValues | ( |  | ) | const
| inline

Definition at line 42 of file Portals.h.

## ◆ Get()

template<typename Type , typename VTKDataArrayType_ >

VTKM_SUPPRESS_EXEC_WARNINGS VTKM_EXEC_CONT ValueType tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::Get | ( | vtkm::Id | index | ) | const
| inline

## ◆ Set()

template<typename Type , typename VTKDataArrayType_ >

VTKM_SUPPRESS_EXEC_WARNINGS VTKM_EXEC_CONT void tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::Set | ( | vtkm::Id | index,
|  | const ValueType & | value
| ) |  | const
| inline

## ◆ GetIteratorBegin()

template<typename Type , typename VTKDataArrayType_ >

VTKM_CONT IteratorType tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::GetIteratorBegin | ( |  | ) | const
| inline

Definition at line 55 of file Portals.h.

## ◆ GetIteratorEnd()

template<typename Type , typename VTKDataArrayType_ >

VTKM_CONT IteratorType tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::GetIteratorEnd | ( |  | ) | const
| inline

Definition at line 58 of file Portals.h.

## ◆ GetVtkData()

template<typename Type , typename VTKDataArrayType_ >

VTKM_CONT VTKDataArrayType* tovtkm::vtkArrayPortal< Type, VTKDataArrayType_ >::GetVtkData | ( |  | ) | const
| inline

Definition at line 61 of file Portals.h.

The documentation for this class was generated from the following file:

- Accelerators/Vtkm/Core/vtkmlib/Portals.h